import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/fiance_report_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/fiance_report_entity.g.dart';

@JsonSerializable()
class FianceReportEntity {
	@JSONField(name: "rate_list")
	List<FianceReportRateList> rateList = [];
	@JSONField(name: "request_total")
	int requestTotal = 0;
	@JSONField(name: "actual_total")
	int actualTotal = 0;

	FianceReportEntity();

	factory FianceReportEntity.fromJson(Map<String, dynamic> json) => $FianceReportEntityFromJson(json);

	Map<String, dynamic> toJson() => $FianceReportEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class FianceReportRateList {
	String? day = null;
	@JSONField(name: "week_num")
	String? weekNum = null;
	@JSONField(name: "week_str")
	String? weekStr = null;
	int request = 0;
	int actual = 0;
	String? ratio = null;

	FianceReportRateList();

	factory FianceReportRateList.fromJson(Map<String, dynamic> json) => $FianceReportRateListFromJson(json);

	Map<String, dynamic> toJson() => $FianceReportRateListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}